QGIS Application - Feature request #7208
replace the "merge shapefiles” code with new more efficient one (python code available)
2013-02-21 04:46 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 16248
Description

The "merge shapefiles" tool is very inefficient, when applied to hundreds/thousands of shapes the progress bar barely moves for many
hours on a very powerful machine.

| discovered this python code

http://furiousgis.blogspot.it/2012/05/python-shapefile-merger-utility.html

that does the task in a matter of seconds even for many GB worth of shapefiles.

Its speed is equal, if not faster to an ogr2ogr script

#!/bin/bash/

DATA=find . -name ".shp"

ogr2ogr -a_srs EPSG:4326 merge.shp

foriin $DATA

do

ogr2ogr -append -update merge.shp $i -f "Esri Shapefile”
done

Related issues:

Related to QGIS Application - Feature request # 9652: merge shapefiles: add o... Closed 2014-02-25
Related to QGIS Application - Feature request # 10691: "Merge shapefiles to o... Closed 2014-06-24
History

#1 - 2013-04-11 05:59 AM - Giovanni Manghi
- File shapemerger.py added

the link changed

http://gistncase.blogspot.pt/2012/05/python-shapefile-merger-utility.html

#2 - 2014-01-26 05:08 PM - Antonio Locandro

Any updates on this?

#3 - 2014-01-27 02:47 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

2025-05-17 12



http://furiousgis.blogspot.it/2012/05/python-shapefile-merger-utility.html
http://gistncase.blogspot.pt/2012/05/python-shapefile-merger-utility.html

Antonio Locandro wrote:

Any updates on this?

nope.

#4 - 2017-01-02 05:50 AM - Giovanni Manghi

- Category changed from 44 to Processing/QGIS

#5 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#6 - 2018-06-05 04:16 AM - Nyall Dawson
- Resolution set to wontfix

- Description updated
- Status changed from Open to Closed

Processing doesn't work on shapefiles alone, so the code provided cannot be used as a replacement. In any case | suspect this issue is fixed in 3.0.

Files

shapemerger.py 16.8 KB 2013-04-11 Giovanni Manghi
